/*
 * Configurator.h
 *
 *  Created on: 31/mag/2010
 *      Author: andrea
 */

#ifndef CONFIGURATOR_H_
#define CONFIGURATOR_H_

#include <string>
using namespace std;

class Configurator {
public:
	Configurator();
	virtual ~Configurator();

	static bool init( const string &path, int argc, char **argcv );

	static string sonar_source;
	static int sonar_delay,
			   escape_timeout,
			   turn_time,
			   sonar_front,
			   sonar_back,
			   sonar_right,
			   sonar_left;

	static int hide_depth;

	static string spykee_user;
	static string spykee_pass;

	static bool initAuto;
	static bool simulation;


	static string brian_ctof_shapes;
	static string brian_ctof;
	static string brian_predicate;
	static string brian_predicate_actions;
	static string brian_cando;
	static string brian_want;
	static string brian_behaviour;
	static string brian_ftoc;
	static string brian_ftoc_shapes;

protected:
	static bool m_bInit;
};

#endif /* CONFIGURATOR_H_ */
