#ifndef FileLogger_h
#define FileLogger_h

#include <stdarg.h>
#include <iostream>
#include <fstream>

using namespace std;

class FileLogger {
	public:
		FileLogger( string file, bool bAppend = true );
		~FileLogger();
		
		void write( string data );
		void write( const char *fmt, ... );
		void writeLine( string line );
		
		void close();
		
		FileLogger &operator<<( const string &str );
		FileLogger &operator<<( const  int str );
		FileLogger &operator<<( const char *str );
		FileLogger &operator<<( const double str );
		
	private:
		ofstream m_file;
};


#endif
